@charset "UTF-8";
/*
Theme Name:     Ukulenka 2022 
Theme URI:      ukulenka.cz
Description:    generatepress - child theme
Author:         Michaela Vranková
Author URI:     https://www.vrankova.cz
Template:       generatepress
Version:        1.0.0
License:        GNU General Public License v2 or later
License URI:    http://www.gnu.org/licenses/gpl-2.0.html
Tags:           accessibility-ready
Text Domain:    domain
*/

/* == TYPOGRAPHY == */
/* H1 same as HERO title */
h1:not(.hero-title) {
	color: var(--global-color-8);
	text-shadow: 1px 1px 2px var(--contrast-2);
}
/* page subtitle */
.page-subtitle {
	font-family: Mouse Memoirs, sans-serif;
	color: var(--contrast-2);
	font-size: 2rem;
}
/* BUTTONS - space after */
.wp-block-buttons {
	margin-bottom: 1.5em;
}
/* BUTTONS - borders */
.wp-block-button__link {
  border-radius: 5px;
}
/* == END TYPOGRAPHY == */

/* == HERO == */
/* stylování textů */
.hero-title,
.hero-subtitle {
	padding: 0 2rem;
	text-shadow: 1px 1px 4px black;
}
/* velikost popisku v HERO */
.hero-subtitle {
	font-size: 2rem;
	font-family: Mouse Memoirs, sans-serif;
}
/* == END HERO == */

/* == HEADER == */
/* LOGO - mezi logem a title není mezera */
.site-branding-container .site-logo {
  margin-right: 0.25rem;
}
/* == END HEADER == */

/* == FRONTPAGE == */
/* Rozcestník - Stín popisku na fotkách */
#frontpage-choice h2 {
	text-shadow: 1px 1px 4px black;
}
#frontpage-choice .wp-block-cover__background,
#frontpage-choice .wp-block-cover__image-background
{
	border-radius: 20px;
	border-style: solid;
	border-width: 2px;
	border-color: rgba(31, 116, 191);
}
/* == END FRONTPAGE == */

/* == KONTAKT == */
/* fotka bude opticky výš vůči textu */
/* fotka bude vidět celá */
#kontakt-foto.wp-block-cover img.wp-block-cover__image-background {
	width: auto;
}
/* optické srovnání nadpisu */
#kontakt-foto + h2 {
  padding-top: 1rem;
}
@media screen and (max-width: 768px) {
	#kontakt-foto + h2 {
  	padding-top: 2rem;
	}
}
/* == END KONTAKT == */

/* == TESTIMONIALS == */
#testimonials {
	gap: 0;
}
/* odsazení pod sebou */
.testimonial-block {
  margin-bottom: 40px;
}
/* zarovnání fotky a jména vedle sebe */
.testimonial-person div {
	display: flex;
	align-content:center;
	align-items:center;
	justify-content: flex-end;
	gap: 0.5em;
}
/* stylování fotky */
.testimonial-person img {
	border-radius: 50%;
}
/* == END TESTIMONIALS == */

/* == GALLERIES == */
/* space after gallery */
.wp-block-gallery {
  margin-bottom: 1.5em;
}
/* border around images in gallery */
.wp-block-gallery .wp-block-image a img, figure a img {
  border: 1px solid var(--contrast-2);
}
/* hover efect in gallery */
.wp-block-gallery figure a:hover, .wp-block-gallery figure a:active, .wp-block-gallery figure a:focus, .wp-block-gallery.has-nested-images figure.wp-block-image > a:hover, .wp-block-gallery.has-nested-images figure.wp-block-image > a:focus, .wp-block-gallery.has-nested-images figure.wp-block-image > a:active {
  border: 1px solid var(--accent);
  padding-bottom: 0;
}
/* == END GALLERIES == */

/* == FOOTER == */
/* zmenšené logo  */
.footer-logo {
	max-width: 256px;
	max-height: 256px;
}
/* smaller first column */
.footer-column-logo {
	max-width: 300px;
}
/* style FB icon - vertical align + space after */
.paragraph-with-icon img {
	vertical-align: middle;
	margin-right: 0.25rem;
}
/* mobile no gap */
@media (max-width: 781px) {
	footer :where(.wp-block-columns.is-layout-flex) {
  		gap: 0;
	}
}
/* == END FOOTER == */

/* == BLOCK for NON REGISTERED == */
/* space before */
.non-registered {
	margin-top: 2em;
	margin-bottom: 0;
	background: rgba(255, 219, 15, 0.4);
  padding: 0.5em 0 0.5em 1em;
}
/* place before post navigation */
.post .inside-article {
	display: flex;
	flex-direction: column;
}
.post .inside-article .non-registered {
	order: 2;
} 
.post .inside-article footer {
	order: 3;
} 
/* == END BLOCK for NON REGISTERED == */

/* == ARCHIVES == */
/* category listing is arranged by functions.php */
/* hide excerpt */
.entry-summary {
    display: none;
}
/* date and category on 1 line */
.entry-header {
	display: flex;
	flex-wrap: wrap;
}
/* TITLE in 1 line  */
/* single */
.entry-header h1,
/* archives */
.entry-header h2 {
	width: 100%;
}
.entry-header .entry-meta-categories {
	order: 2;
}
/* space between date and category */
.entry-header .entry-meta {
	margin-right: 1em;
}
/* archive - list of articles - padding-bottom 0 */
.one-container.archive .post:not(:last-child):not(.is-loop-template-item), .one-container.blog .post:not(:last-child):not(.is-loop-template-item) {
  padding-bottom: 0;
}
/* == END ARCHIVES == */

/* == BLOG - UkuKLub content == */
.blog .post.category-deti:not(.category-zpevnik) h2.entry-title:after,
.search .post.category-deti:not(.category-zpevnik) h2.entry-title:after,
.blog .post.category-zacatecnik:not(.category-zpevnik) h2.entry-title:after,
.search .post.category-zacatecnik:not(.category-zpevnik) h2.entry-title:after,
.blog .post.category-mirne-pokrocily:not(.category-zpevnik) h2.entry-title:after,
.search .post.category-mirne-pokrocily:not(.category-zpevnik) h2.entry-title:after,
.blog .post.category-pokrocily:not(.category-zpevnik) h2.entry-title:after,
.search .post.category-pokrocily:not(.category-zpevnik) h2.entry-title:after {
	content: "UkuKlub";
	display: inline-block;
	font-size: 0.6em;
	background-color: var(--global-color-8);
	margin-left: 0.5em;
	padding: 0.25em 1em;
	transform: rotate(-10deg);
	vertical-align: bottom;
	border-radius: 50%;
	/*clip-path: polygon(
		50% 2.4%, 
		34.5% 33.8%, 
		0% 38.8%, 
		25% 63.1%, 
		19.1% 97.6%, 
		50% 81.3%, 
		80.9% 97.6%, 
		75% 63.1%, 
		100% 38.8%, 
		65.5% 33.8%);*/
}
/* == END BLOG - FREE content == */